FreeMat

- Main Page
- Related Pages

vtkTDxInteractorStyleCamera

Section: Visualization Toolkit Rendering Classes

# Usage

vtkTDxInteractorStyleCamera allows the end-user to manipulate tha camera with a 3DConnexion device.

To create an instance of class vtkTDxInteractorStyleCamera, simply invoke its constructor as follows

      obj = vtkTDxInteractorStyleCamera

# Methods

The class vtkTDxInteractorStyleCamera has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTDxInteractorStyleCamera class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTDxInteractorStyleCamera = obj.NewInstance ()`
- `vtkTDxInteractorStyleCamera = obj.SafeDownCast (vtkObject o)`